## apt 1.0.9.8.2

=== debian/changelog ===
apt (1.0.9.8.2) jessie; urgency=medium

  [ David Kalnischkies ]
  * hide first pdiff merge failure debug message (Closes: 793444)
  * mark again deps of pkgs in APT::Never-MarkAuto-Sections as manual.
    Thanks to Raphaël Hertzog and Adam Conrad for detailed reports and initial patches
    (Closes: 793360) (LP: 1479207)

  [ Julian Andres Klode ]
  * Do not parse Status fields from remote sources

  [ Michael Vogt ]
  * Use xgettext --no-location in make update-pot

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Sep 2015 16:48:35 +0200

## apt 1.0.9.8.3

=== debian/changelog ===
apt (1.0.9.8.3) jessie; urgency=medium

  * apt-pkg/algorithms.cc: Avoid stack buffer overflow in KillList
    (Closes: #701069)

 -- Julian Andres Klode <jak@debian.org>  Sat, 12 Mar 2016 13:14:21 +0000

## apt 1.0.9.8.4

=== debian/changelog ===
apt (1.0.9.8.4) jessie-security; urgency=high

  * SECURITY UPDATE: gpgv: Check for errors when splitting files (CVE-2016-1252)
    Thanks to Jann Horn, Google Project Zero for reporting the issue
    (LP: #1647467)

 -- Julian Andres Klode <jak@debian.org>  Thu, 08 Dec 2016 15:31:29 +0100

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr 
Depends: @, @builddeps@, fakeroot, wget, stunnel4, db-util

## apt 1.0.9.8.5

=== debian/changelog ===
apt (1.0.9.8.5) jessie-security; urgency=medium

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <jak@debian.org>  Tue, 22 Jan 2019 13:15:57 +0100

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Christian Perrier <bubulle@debian.org>, 
 Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.5
Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
 gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.4~),
 zlib1g-dev, libbz2-dev, liblzma-dev,
 xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2),
 autotools-dev, autoconf, automake, libgtest-dev
Build-Depends-Indep: doxygen, w3m, graphviz
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Git: git://anonscm.debian.org/apt/apt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt/apt.git
XS-Testsuite: autopkgtest

Package: apt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${apt:keyring}, gnupg
Replaces: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~), sun-java6-jdk (>> 0), sun-java5-jdk (>> 0), openjdk-6-jdk (<< 6b24-1.11-0ubuntu1~)
Breaks: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~), sun-java6-jdk (>> 0), sun-java5-jdk (>> 0), openjdk-6-jdk (<< 6b24-1.11-0ubuntu1~)
Conflicts: python-apt (<< 0.7.93.2~)
Suggests: aptitude | synaptic | wajig, dpkg-dev (>= 1.17.2), apt-doc, python-apt
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg4.12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: apt (<< 0.9.4~), libapt-inst1.5 (<< 0.9.9~)
Section: libs
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http, rsh as well as an interface to add more transports like
    https (apt-transport-https) and debtorrent (apt-transport-debtorrent).

Package: libapt-inst1.5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: deb package format runtime library
 This library provides methods to query and extract information
 from deb packages. This includes the control data and the package
 file content.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${libapt-pkg-name} (= ${binary:Version}), ${libapt-inst-name} (= ${binary:Version}), ${misc:Depends}, zlib1g-dev
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Description: https download transport for APT
 This package enables the usage of 'deb https://foo distro main' lines
 in the /etc/apt/sources.list so that all package managers using the
 libapt-pkg library can access metadata and packages available in sources
 accessible over https (Hypertext Transfer Protocol Secure).
 .
 This transport supports server as well as client authentication
 with certificates.

## apt 1.0.9.8.6

=== debian/changelog ===
apt (1.0.9.8.6) jessie-security; urgency=high

  * SECURITY UPDATE: Out of bounds read in ar, tar implementations (LP: #1878177)
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read in member name
    - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - apt-pkg/contrib/extracttar.cc: Fix out-of-bounds read on unterminated
      member names in error path
    - CVE-2020-3810

 -- Julian Andres Klode <jak@debian.org>  Thu, 14 May 2020 16:49:11 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# build in verbose mode by default to make it easy to diangose issues
export NOISY=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(shell which dpkg-buildflags))
  # make does not export to $(shell) so we need to workaround 
  # (http://savannah.gnu.org/bugs/?10593)
  dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags
  export CXXFLAGS = $(shell $(dpkg_buildflags) --get CXXFLAGS)
  export LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
  export CPPFLAGS = $(shell $(dpkg_buildflags) --get CPPFLAGS)
else
  ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    export CXXFLAGS = -O0 -g -Wall
  else
    export CXXFLAGS = -O2 -g -Wall
  endif
endif

# Default rule
build:

PKG=apt
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname --machine) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
include buildlib/libversion.mak

# Determine which library package names to use
LIBAPT_PKG=libapt-pkg$(LIBAPTPKG_MAJOR)
LIBAPT_INST=libapt-inst$(LIBAPTINST_MAJOR)

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

build-binary: build/build-binary-stamp
build-docbook: build/build-docbook-stamp
build-manpages: build/build-manpages-stamp

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.ac
build/configure-stamp: configure buildlib/config.sub buildlib/config.guess
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" ../configure $(confflags)
	touch $@

build/build-binary-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	# compat symlink for the locale split
	mkdir -p build/usr/share 
	cd build/usr/share && ln -f -s ../../locale .
	# compile and run tests
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(MAKE) test
else
	@echo "Tests DISABLED"
endif
	touch $@

build/build-docbook-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) docbook
	touch $@

build/build-manpages-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) manpages
	touch $@

clean:
	dh_testdir
	dh_clean

	[ ! -f Makefile ] || $(MAKE) clean distclean
	rm -rf build
	rm -f debian/$(LIBAPT_PKG).install debian/$(LIBAPT_INST).install \
	      debian/libapt-pkg-dev.install debian/apt.install
	test ! -L buildlib/config.guess || rm -f buildlib/config.guess
	test ! -L buildlib/config.sub || rm -f buildlib/config.sub

debian/%.install: debian/%.install.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

# Build architecture-independent files here.
libapt-pkg-doc: build-docbook
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#
	rm -f $(BLD)/doc/doxygen/html/*.map $(BLD)/doc/doxygen/html/*.md5
	dh_installdocs -p$@ $(BLD)/docs/design* \
			    $(BLD)/docs/dpkg-tech* \
			    $(BLD)/docs/files* \
			    $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt \
			    doc/style.txt \
			    $(BLD)/doc/doxygen/html
	dh_installexamples -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@ -X.xhtml
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-docbook
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text \
			    $(BLD)/docs/guide*.html \
			    $(BLD)/docs/offline*.text \
			    $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

apt_MANPAGES = apt apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
apt: build-binary build-manpages debian/apt.install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# apt install
#
	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
	cp debian/apt.auto-removal.sh debian/$@/etc/kernel/postinst.d/apt-auto-removal
	chmod 755 debian/$@/etc/kernel/postinst.d/apt-auto-removal
	# install vendor specific apt confs
	find -L vendor/current -name 'apt.conf-*' | while read conf; do cp "$${conf}" "debian/$@/etc/apt/apt.conf.d/$${conf#*-}"; done

	# make rosetta happy and remove pot files in po/ (but leave stuff
	# in po/domains/* untouched) and cp *.po into each domain dir
	rm -f build/po/*.pot
	rm -f po/*.pot

	dh_install -p$@ --sourcedir=$(BLD)

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS) dump-solver internal-solver)

	# https has its own package
	rm debian/$@/usr/lib/apt/methods/https

	# move the mirror failure script in place
	#mv debian/$@/usr/bin/apt-report-mirror-failure \
	#   debian/$@/usr/lib/apt/apt-report-mirror-failure \

	# move the apt-helper in place
	mv debian/$@/usr/bin/apt-helper debian/$@/usr/lib/apt/apt-helper 

	dh_bugfiles -p$@
	dh_lintian -p$@
	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ $(wildcard $(patsubst %,doc/en/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_installlogrotate -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@ -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build-binary debian/libapt-pkg-dev.install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -Vlibapt-pkg-name=$(LIBAPT_PKG) -Vlibapt-inst-name=$(LIBAPT_INST)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-utils_MANPAGES = apt-sortpkgs apt-ftparchive apt-extracttemplates
apt-utils: build-binary build-manpages
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/
	cp $(BLD)/bin/apt-dump-solver debian/$@/usr/lib/apt/solvers/dump
	cp $(BLD)/bin/apt-internal-solver debian/$@/usr/lib/apt/solvers/apt

	dh_install -p$@ --sourcedir=$(BLD)
	dh_link -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@

	# Install the man pages..

## apt 1.0.9.8.7

=== debian/changelog ===
apt (1.0.9.8.7) jessie-security; urgency=high

  * SECURITY UPDATE: Integer overflow in parsing (LP: #1899193)
    - apt-pkg/contrib/arfile.cc: add extra checks.
    - apt-pkg/contrib/tarfile.cc: limit tar item sizes to 128 GiB
    - apt-pkg/deb/debfile.cc: limit control file sizes to 64 MiB
    - test/*: add tests.
    - CVE-2020-27350
  * Additional hardening:
    - apt-pkg/contrib/tarfile.cc: Limit size of long names and links to 1 MiB
  * Fix testsuite regression from 1.0.9.8.6 upload

 -- Julian Andres Klode <jak@debian.org>  Sun, 10 Jan 2021 18:25:33 +0100

## apt 1.0.10.2ubuntu2

=== debian/changelog ===
apt (1.0.10.2ubuntu2) wily-proposed; urgency=medium

  * Recheck Pre-Depends satisfaction in SmartConfigure, to avoid unconfigured
    Pre-Depends (which dpkg later fails on). Fixes upgrade failures of
    systemd, util-linux, and other packages with Pre-Depends. Many thanks to
    David Kalnischkies for figuring out the patch and Winfried PLappert for
    testing! Patch taken from Debian git. (LP: #1560797)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Apr 2016 12:36:25 +0200

apt (1.0.10.2ubuntu1) wily; urgency=medium

  * merged from debian/sid (LP: #1486061)
  * this fixes a subtle ABI difference between debian and ubuntu
  * add breaks for rdepends to ensure smooth wily->wily transtition
    for the ABI fix. this can be dropped post-wily

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 16:20:37 +0200

apt (1.0.10.2) unstable; urgency=high

  * Do not parse Status fields from remote sources

 -- Julian Andres Klode <jak@debian.org>  Fri, 21 Aug 2015 19:34:43 +0200

apt (1.0.10.1) unstable; urgency=medium

  * hide first pdiff merge failure debug message (Closes: 793444)
  * mark again deps of pkgs in APT::Never-MarkAuto-Sections as manual.
    Thanks to Raphaël Hertzog and Adam Conrad for detailed reports and
    initial patches (Closes: 793360) (LP: #1479207)
  * explicitly build-dep on g++ (>= 4:5.2) for gcc5 transition

 -- David Kalnischkies <david@kalnischkies.de>  Mon, 03 Aug 2015 07:29:40 +0200

apt (1.0.10) unstable; urgency=medium

  [ Zhou Mo ]
  * po: update zh_CN translation slightly
  * po: Update Simplified Chinese programs translation

  [ Mert Dirik ]
  * Turkish translation update for apt (Closes: #789491)

  [ Yuri Kozlov ]
  * Russian program translation update (Closes: 789709)

  [ Milo Casagrande ]
  * Italian program translation update (Closes: 782122)

  [ Beatrice Torracca ]
  * Italian manpage translation update (Closes: 776702)

  [ Julian Andres Klode ]
  * ExecFork: Use /proc/self/fd to determine which files to close
    (Closes: #764204)

  [ Michael Vogt ]
  * Prepare new 1.0.10 release with gcc5 abi transition

  [ David Kalnischkies ]
  * stop depending on copy-on-write for std::string
  * bump next-abi check above gcc5-abi bump
  * update symbols file to use gcc5 abi mangling

 -- David Kalnischkies <david@kalnischkies.de>  Sat, 25 Jul 2015 12:11:08 +0200

apt (1.0.9.10ubuntu7) wily; urgency=medium

  * cherry pick 353c135 to fix build failure with gcc-snapshot
    (LP: #1477299)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 18 Sep 2015 10:02:55 +0200

apt (1.0.9.10ubuntu6) wily; urgency=medium

  * Fix regression in the Never-MarkAuto-Sections feature caused by the
    previous auto-removal fix, with inspiration drawn from the patches
    and conversation from http://bugs.debian.org/793360 (LP: #1479207)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 01 Aug 2015 16:14:05 -0600

apt (1.0.9.10ubuntu5) wily; urgency=medium

  * apt-pkg/packagemanager.h:
    - re-add incorrectly removed pkgPackageManager::Go() to make
      python-apt build again

 -- Michael Vogt <mvo@ubuntu.com>  Fri, 24 Jul 2015 10:13:08 +0200

apt (1.0.9.10ubuntu4) wily; urgency=medium

  * abi bump for gcc-5
  * debian/control
    - rename libapt-pkg4.12 -> libapt-pkg4.16,
      the versions 4.13-4.15 are already taken in experimental
    - rename libapt-inst1.5 -> libapt-inst1.7,
      version 1.6 is already taken in experimental
    - build-depend on gcc-5 (>= 5.2.1-10) temporarily
  * debian/rules:
    - build with -O2 everywhere because of
      https://gcc.gnu.org/bugzilla/show_bug.cgi?id=66868

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jul 2015 11:40:34 +0200

apt (1.0.9.10ubuntu1) wily; urgency=low

  * merged from debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 May 2015 18:08:10 +0200

apt (1.0.9.10) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix crash in pkgDPkgPM::WriteApportReport(() (LP: #1436626)
  * Move sysconf(_SC_OPEN_MAX); out of the for() loop to avoid unneeded
    syscalls
  * Fix endless loop in apt-get update that can cause disk fillup
    (LP: #1445239)

  [ Helmut Grohne ]
  * parse arch-qualified Provides correctly (Closes: 777071)

 -- Michael Vogt <mvo@debian.org>  Fri, 22 May 2015 17:38:31 +0200

apt (1.0.9.9ubuntu1) wily; urgency=low

  * merged from debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 May 2015 10:40:54 +0200

apt (1.0.9.9) unstable; urgency=medium

  [ David Kalnischkies ]
  * parse specific-arch dependencies correctly on single-arch systems
    (Closes: 777760)
  * remove "first package seen is native package" assumption.
    Thanks to Axel Beckert for testing (Closes: 782777)

 -- David Kalnischkies <david@kalnischkies.de>  Tue, 28 Apr 2015 16:11:27 +0200

## apt 1.0.10.2ubuntu3

=== debian/changelog ===
apt (1.0.10.2ubuntu3) wily; urgency=medium

  * When using the https transport mechanism, $no_proxy is ignored if apt is
    getting it's proxy information from $https_proxy (as opposed to
    Acquire::https::Proxy somewhere in apt config). If the source of proxy
    information is Acquire::https::Proxy set in apt.conf (or apt.conf.d),
    then $no_proxy is honored. This patch makes the behavior similar for
    both methods of setting the proxy. (LP: #1575877)

 -- Patrick Cable <pc@pcable.net>  Wed, 18 May 2016 08:09:20 -0700

## apt 1.1

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission (apt)
Version: 1.1
Date: 2010-11-03 (first); 2012-03-31 (last)
Author: Changyou Sun <csun@cfr.msstate.edu>
Maintainer: Changyou Sun <csun@cfr.msstate.edu>
Depends: R (>= 2.10.0), car, erer, urca
Description: This package focuses on asymmetric price transmission
        (APT) between two time series. This package contains functions
        for linear and nonlinear threshold cointegration, and
        furthermore, symmetric and asymmetric error correction model.
License: GPL
LazyLoad: yes
Packaged: 2012-03-31 06:09:05 UTC; Edwin
Repository: CRAN
Date/Publication: 2012-03-31 06:26:22

## apt 1.2

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission (apt)
Version: 1.2
Date: 2010-11-03 (first); 2012-9-18 (last)
Author: Changyou Sun <csun@cfr.msstate.edu>
Maintainer: Changyou Sun <csun@cfr.msstate.edu>
Depends: R (>= 2.10.0), car, erer, urca
Description: This package focuses on asymmetric price transmission
        (APT) between two time series. It contains functions for linear
        and nonlinear threshold cointegration, and furthermore,
        symmetric and asymmetric error correction model.
License: GPL
LazyLoad: yes
Packaged: 2012-09-18 12:51:27 UTC; Edwin
Repository: CRAN
Date/Publication: 2012-09-20 06:42:29

## apt 1.2.10ubuntu1

=== debian/changelog ===
apt (1.2.10ubuntu1) xenial; urgency=medium

  * Recheck Pre-Depends satisfaction in SmartConfigure, to avoid unconfigured
    Pre-Depends (which dpkg later fails on). Fixes upgrade failures of
    systemd, util-linux, and other packages with Pre-Depends. Many thanks to
    David Kalnischkies for figuring out the patch and Winfried PLappert for
    testing! Patch taken from Debian git. (LP: #1560797)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 14 Apr 2016 09:05:29 +0200

apt (1.2.10) unstable; urgency=medium

  [ Zhou Mo ]
  * zh_CN.po: update simplified Chinese translation. (100%)

  [ Julian Andres Klode ]
  * test-apt-download-progress: Use a larger file for testing
  * Allow lowering trust level of a hash via config

  [ Michael Vogt ]
  * Use systemd.timer instead of a cron job (Closes: #600262, #709675, #663290)
    (LP: #246381, #727685)

  [ David Kalnischkies ]
  * use buffered writing for InRelease splitting

  [ Takuma Yamada ]
  * Japanese program translation update (Closes: 819938)

 -- Michael Vogt <mvo@debian.org>  Tue, 05 Apr 2016 20:23:47 +0200

apt (1.2.9) unstable; urgency=high

  [ David Kalnischkies ]
  * drop confusing comma from no strong hash message

  [ Julian Andres Klode ]
  * Do not mark packages for keep that we want to remove (LP: #1562402)
    (This fixes some upgrades involving renames where the old package
     is removed)

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Mar 2016 01:26:51 +0100

apt (1.2.8) unstable; urgency=medium

  [ Michael Vogt ]
  * Get accurate progress reporting in apt update again

  [ Julian Andres Klode ]
  * Report non-transient errors as errors, not as warnings
  * methods/gpgv: Rewrite error handling and message.
    Thanks to Ron Lee for wording suggestions
  * Use descriptive URIs in 104 Warning messages
  * cachefile: Only set members that were initialized successfully
    (Closes: #818628)
  * Update symbols file

  [ David Kalnischkies ]
  * do not strip epochs from state version strings (Closes: 818162)
  * properly check for "all good sigs are weak" (Closes: 818910)
  * handle gpgv's weak-digests ERRSIG

  [ Zhou Mo ]
  * zh_CN.po: update simplified Chinese translation. (Closes: #818639)

  [ Takuma Yamada ]
  * Japanese manpage translation update (Closes: 818950)

 -- Julian Andres Klode <jak@debian.org>  Thu, 24 Mar 2016 19:31:24 +0100

apt (1.2.7) unstable; urgency=medium

  "Caesar is dead"

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 817060)
  * Dutch manpages translation update (Closes: 817062)

  [ Julian Andres Klode ]
  * Use native architecture instead of amd64 for build-dep-purge test
  * Do not consider SHA1 usable
  * Test that SHA1-only .diff/Index files are not used
  * test: Use SHA512 digests for GPG, reject SHA1-based signatures
  * methods/gpgv: Reject weak digest algorithms
  * apt-pkg/acquire-worker.cc: Introduce 104 Warning message
  * methods/gpgv: Warn about SHA1 (and RIPEMD-160)

  [ David Kalnischkies ]
  * require $(HASH)-Download field in .diff/Index files
  * flush line-clearing on progress stop before post-invoke (Closes: 793672)
  * enforce verify of filesize in 'apt-get source'

  [ Manuel "Venturi" Porras Peralta ]
  * Spanish apt-mark translation fix (Closes: 817999)

  [ Zhou Mo ]
  * zh_CN.po: fix translation bug. (Closes: #818177)

  [ Michael Vogt ]
  * Fix bug where the problemresolve can put a pkg into a heisenstate
    (LP: #1550741)

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Mar 2016 19:20:18 +0100

apt (1.2.6) unstable; urgency=high

  [ Veres Lajos ]
  * Fix several typos

  [ Julian Andres Klode ]
  * apt-pkg/algorithms.cc: Avoid stack buffer overflow in KillList
    (Closes: #701069)
  * urgency=high because this fixes a stack overflow and the last
    upload fixed several segfaults and has not migrated yet either.

 -- Julian Andres Klode <jak@debian.org>  Mon, 07 Mar 2016 19:49:38 +0100

apt (1.2.5) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * apt-key del should correctly handle keyids prefixed with 0x

  [ David Kalnischkies ]
  * support APT::Get::Build-Dep-Automatic again in build-dep
  * add test for apt-key 0xKEY and use parameter expansion.
    Thanks to James McCoy for the suggestion. (Closes: 816691)
  * do not move not-failed pdiff-patches into CWD on failure (Closes: #816837)
  * get group again after potential remap in Source: parse.
    Thanks to Francesco Poli and Marc Haber for testdata. (Closes: 812251)

  [ Colin Watson ]
  * Fix lzma write support to handle "try again" case (Closes: #751688)

  [ Julian Andres Klode ]
  * Prevent double remapping of iterators and string views
  * debian/control: Set Standards-Version to 3.9.7

 -- Julian Andres Klode <jak@debian.org>  Sun, 06 Mar 2016 19:47:45 +0100

apt (1.2.4) unstable; urgency=medium

  [ David Kalnischkies ]
  * use local changelog from /usr/share/doc if possible
  * always download changelogs into /tmp first
  * pass versioned provides to external solvers in EDSP

  [ Julian Andres Klode ]
  * Fix maintscript to properly remove 20changelog (Closes: #814754)
  * Fix crash with empty architecture list (LP: #1549819)
  * Add missing numeric includes in files using std::accumulate()

 -- Julian Andres Klode <jak@debian.org>  Sat, 27 Feb 2016 14:02:47 +0100

apt (1.2.3) unstable; urgency=high

  [ Julian Andres Klode ]
  * Set seekpos to 0 after reopening files in Seek() (Closes: #812994, #813000)

  [ David Kalnischkies ]
  * get dpkg lock in build-dep if cache was invalid again (Closes: 814139)

 -- Julian Andres Klode <jak@debian.org>  Wed, 10 Feb 2016 18:02:20 +0100

apt (1.2.2) unstable; urgency=medium

  [ David Kalnischkies ]
  * always create pkg at the time pkg:arch is created
  * reimplement build-dep via apts normal resolver
    (Closes: #137560, #444930, #489911, #583914, #728317, #812173)
  * parse version correctly from binary Source field (Closes: 812492)
  * get sources for packages in multiple releases again (Closes: 812497)


=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Michael Vogt <mvo@debian.org>, Christian Perrier <bubulle@debian.org>, 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Uploaders: Michael Vogt <mvo@debian.org>,
  Julian Andres Klode <jak@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
+Standards-Version: 3.9.7
+Build-Depends: dpkg-dev (>= 1.17.14), debhelper (>= 9.20141010), libdb-dev,
  gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.4~),
- zlib1g-dev, libbz2-dev, liblzma-dev,
+ zlib1g-dev, libbz2-dev, liblzma-dev, liblz4-dev (>= 0.0~r126),
  xsltproc, docbook-xsl, docbook-xml, po4a (>= 0.34-2),
- autotools-dev, autoconf, automake, libgtest-dev
+ autotools-dev, autoconf, automake, libgtest-dev <!nocheck>, dh-systemd
 Build-Depends-Indep: doxygen, w3m, graphviz
 Build-Conflicts: autoconf2.13, automake1.4
 Vcs-Git: git://anonscm.debian.org/apt/apt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt/apt.git
-XS-Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/cgit/apt/apt.git
+Testsuite: autopkgtest
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${apt:keyring}, gnupg
-Replaces: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~), sun-java6-jdk (>> 0), sun-java5-jdk (>> 0), openjdk-6-jdk (<< 6b24-1.11-0ubuntu1~)
-Breaks: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~), sun-java6-jdk (>> 0), sun-java5-jdk (>> 0), openjdk-6-jdk (<< 6b24-1.11-0ubuntu1~)
-Conflicts: python-apt (<< 0.7.93.2~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${apt:keyring}, gpgv | gpgv2, gnupg | gnupg2, adduser
+Replaces: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~), sun-java6-jdk (>> 0), sun-java5-jdk (>> 0), openjdk-6-jdk (<< 6b24-1.11-0ubuntu1~), bash-completion (<< 1:2.1-4.2+fakesync1)
+Breaks: manpages-pl (<< 20060617-3~), manpages-it (<< 2.80-4~), sun-java6-jdk (>> 0), sun-java5-jdk (>> 0), openjdk-6-jdk (<< 6b24-1.11-0ubuntu1~), apt-utils (<< 1.1.3)
 Suggests: aptitude | synaptic | wajig, dpkg-dev (>= 1.17.2), apt-doc, python-apt
 Description: commandline package manager
  This package provides commandline tools for searching and
@@ -38,12 +38,13 @@
   * apt-config as an interface to the configuration settings
   * apt-key as an interface to manage authentication keys
 
-Package: libapt-pkg4.12
+Package: libapt-pkg5.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: apt (<< 0.9.4~), libapt-inst1.5 (<< 0.9.9~)
+Breaks: apt (<< 1.1~exp14), libapt-inst1.5 (<< 0.9.9~), appstream (<< 0.9.0-3~)
+Recommends: apt (>= ${binary:Version})
 Section: libs
 Description: package management runtime library
  This library provides the common functionality for searching and
@@ -61,7 +62,7 @@
     http, rsh as well as an interface to add more transports like
     https (apt-transport-https) and debtorrent (apt-transport-debtorrent).
 
-Package: libapt-inst1.5
+Package: libapt-inst2.0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -107,7 +108,7 @@
 
 Package: apt-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, apt (= ${binary:Version})
 Description: package management related utility programs
  This package contains some less used commandline utilities related
  to package management with APT.
@@ -115,12 +116,13 @@
   * apt-extracttemplates is used by debconf to prompt for configuration
     questions before installation.
   * apt-ftparchive is used to create Packages and other index files
-    needed to publish an archive of debian packages
+    needed to publish an archive of Debian packages
   * apt-sortpkgs is a Packages/Sources file normalizer.
 
 Package: apt-transport-https
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ca-certificates
 Priority: optional
 Description: https download transport for APT
  This package enables the usage of 'deb https://foo distro main' lines

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export PARALLEL = $(or $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS))),1)
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -16,6 +17,9 @@
 else
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
+
+# Set the number of procs to be run in parallel from the options.
+confflags += --with-procs=$(PARALLEL)
 
 # See below
 -include build/environment.mak
@@ -56,6 +60,11 @@
 override BLD := ./build
 endif
 
+# When building without <nocheck>, the header is available and thus the test is
+# successful. When building with <nocheck>, the header is missing, but we still
+# pretend it to be available, because configure would fail otherwise.
+export ac_cv_header_gtest_gtest_h=yes
+
 # APT Programs in apt-utils
 APT_UTILS=ftparchive sortpkgs extracttemplates
 
@@ -85,7 +94,7 @@
 configure: configure.ac
 build/configure-stamp: configure buildlib/config.sub buildlib/config.guess
 	dh_testdir
-	-mkdir build
+	mkdir -p build
 	cp COPYING debian/copyright
 	cd build && CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" ../configure $(confflags)
 	touch $@
@@ -213,13 +222,17 @@
 	#   debian/$@/usr/lib/apt/apt-report-mirror-failure \
 
 	# move the apt-helper in place
-	mv debian/$@/usr/bin/apt-helper debian/$@/usr/lib/apt/apt-helper 
+	mv debian/$@/usr/bin/apt-helper debian/$@/usr/lib/apt/apt-helper
+	# install apt.systemd.daily helper in the right place
+	install -m755 debian/apt.systemd.daily debian/$@/usr/lib/apt/
 
 	dh_bugfiles -p$@
 	dh_lintian -p$@
 	dh_installexamples -p$@ $(BLD)/docs/examples/*
 	dh_installman -p$@ $(wildcard $(patsubst %,doc/en/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
-	dh_installcron -p$@
+	dh_installcron -p$@ --name=apt-compat
+	dh_systemd_enable -p$@ apt-daily.timer
+	dh_systemd_start -p$@ apt-daily.timer
 	dh_installdocs -p$@
 	dh_installchangelogs -p$@
 	dh_installlogrotate -p$@
@@ -248,24 +261,3 @@
 	dh_compress -p$@
 	dh_fixperms -p$@
 	dh_installdeb -p$@
-	dh_gencontrol -p$@ -- -Vlibapt-pkg-name=$(LIBAPT_PKG) -Vlibapt-inst-name=$(LIBAPT_INST)
-	dh_md5sums -p$@
-	dh_builddeb -p$@
-
-apt-utils_MANPAGES = apt-sortpkgs apt-ftparchive apt-extracttemplates
-apt-utils: build-binary build-manpages
-	dh_testdir -p$@
-	dh_testroot -p$@
-	dh_prep -p$@
-	dh_installdirs -p$@
-
-	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/
-	cp $(BLD)/bin/apt-dump-solver debian/$@/usr/lib/apt/solvers/dump
-	cp $(BLD)/bin/apt-internal-solver debian/$@/usr/lib/apt/solvers/apt
-
-	dh_install -p$@ --sourcedir=$(BLD)
-	dh_link -p$@
-	dh_installdocs -p$@
-	dh_installexamples -p$@
-
-	# Install the man pages..

## apt 1.2.12~ubuntu16.04.1%2B8.0trisquel1

=== debian/changelog ===
apt (1.2.12~ubuntu16.04.1+8.0trisquel1) flidas; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jun 2016 16:39:05 +0000

apt (1.2.12~ubuntu16.04.1) xenial; urgency=medium

  * Upload 1.2.12 micro-release to Xenial (LP: #1538438, #1580952)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 May 2016 04:08:00 -0600

apt (1.2.12) unstable; urgency=medium

  [ Patrick Cable ]
  * refactored no_proxy code to work regardless of where https proxy is set

  [ James McCoy ]
  * deb822: Restore support for <multivalue>-{Add,Remove}

  [ David Kalnischkies ]
  * don't show NO_PUBKEY warning if repo is signed by another key
    (Closes: 618445)
  * allow redirection for items without a space in the desc again
  * don't sent uninstallable rc-only versions via EDSP
  * respect user pinning in M-A:same version (un)screwing

  [ Julian Andres Klode ]
  * update: Run Post-Invoke-Success if not all sources failed
  * debian/gbp.conf: Set debian-branch to 1.2.y

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 823976)

 -- Julian Andres Klode <jak@debian.org>  Wed, 11 May 2016 10:56:53 +0200

apt (1.2.11) unstable; urgency=medium

  [ David Kalnischkies ]
  * ensure transaction states are changed only once
  * stop handling items in doomed transactions.
    Thanks to Barr Detwix & Vincent Lefevre for log files (Closes: 817240)
  * do not require non-broken systems in 'upgrade'
  * detect compressed status files on extension again
  * recheck Pre-Depends satisfaction in SmartConfigure (LP: #1569099)
  * fix Alt-Filename handling of file method
  * allow uncompressed files to be empty in store again
  * silently skip acquire of empty index files
  * ensure outdated files are dropped without lists-cleanup

  [ Kelemen Gábor ]
  * Hungarian program translation update (Closes: 820638)

 -- Julian Andres Klode <jak@debian.org>  Mon, 25 Apr 2016 15:23:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
  Julian Andres Klode <jak@debian.org>

## apt 1.2.15ubuntu0.2+8.0trisquel1

=== debian/changelog ===
apt (1.2.15ubuntu0.2+8.0trisquel1) flidas-security; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 15 Dec 2016 11:13:54 +0000

apt (1.2.15ubuntu0.2) xenial-security; urgency=high

  * SECURITY UPDATE: gpgv: Check for errors when splitting files (CVE-2016-1252)
    Thanks to Jann Horn, Google Project Zero for reporting the issue
    (LP: #1647467)
  * gpgv: Flush the files before checking for errors

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 08 Dec 2016 15:28:08 +0100

apt (1.2.15) xenial; urgency=medium

  New micro release with bug fixes up to (and including) 1.3.1 (LP: #1638021)

  [ Julian Andres Klode ]
  * methods/ftp: Cope with weird PASV responses.
    Thanks to Lukasz Stelmach for the initial patch (Closes: #420940)
  * Fix buffer overflow in debListParser::VersionHash() (Closes: #828812)
  * cache: Bump minor version to 6
  * indextargets: Check that cache could be built before using it
    (Closes: #829651)
  * gpgv: Unlink the correct temp file in error case
  * fileutl: empty file support: Avoid fstat() on -1 fd and check result
  * Ignore SIGINT and SIGQUIT for Pre-Install hooks
  * install-progress: Call the real ::fork() in our fork() method
  * Accept --autoremove as alias for --auto-remove
  * apt-inst: debfile: Pass comp. Name to ExtractTar, not Binary
  * changelog: Respect Dir setting for local changelog getting
  * Fix segfault and out-of-bounds read in Binary fields
  * Merge translations from 1.3~rc3
  * TagFile: Fix off-by-one errors in comment stripping
  * Base256ToNum: Fix uninitialized value
  * VersionHash: Do not skip too long dependency lines
  * Do not read stderr from proxy autodetection scripts

  [ Nicolas Le Cam ]
  * Use the ConditionACPower feature of systemd in the apt-daily service
    (Closes: #827930)

  [ David Kalnischkies ]
  * close server if parsing of header field failed
  * don't do atomic overrides with failed files (Closes: 828908)
  * if reading of autobit state failed, let write fail
  * write auto-bits before calling dpkg & again after if needed
  * factor out Pkg/DepIterator prettyprinters into own header
  * protect only the latest same-source providers from autoremove
  * reinstalling local deb file is no downgrade
  * do not treat same-version local debs as downgrade
  * avoid 416 response teardown binding to null pointer
  * don't change owner/perms/times through file:// symlinks
  * report all instead of first error up the acquire chain
  * keep trying with next if connection to a SRV host failed
  * call flush on the wrapped writebuffered FileFd
  * verify hash of input file in rred
  * use proper warning for automatic pipeline disable
  * rred: truncate result file before writing to it (Closes: #831762)
  * if the FileFd failed already following calls should fail, too
  * pass --force-remove-essential to dpkg only if needed
  * allow user@host (aka: no password) in URI parsing
  * drop incorrect const attribute from DirectoryExists (LP: 1473674)
  * http(s): allow empty values for header fields (Closes: 834048)
  * don't try pipelining if server closes connections (Closes: #832113)
  * don't loop on pinning pkgs from absolute debs by regex (Closes: 835818)
  * try not to call memcpy with length 0 in hash calculations
  * abort connection on '.' target replies in SRV

  [ Andrew Patterson ]
  * Add kernels with "+" in the package name to APT::NeverAutoRemove
    (Closes: #830159)

  [ Mert Dirik ]
  * Turkish program translation update (Closes: 832039)

  [ Zhou Mo ]
  * zh_CN.po: update simplified chinese translation

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 31 Oct 2016 15:29:08 +0100

apt (1.2.14) unstable; urgency=medium

  [ Julian Andres Klode ]
  * New micro release (LP: #1595177)

  [ Petter Reinholdtsen ]
  * Norwegian Bokmål program translation update (Closes: 827067)

  [ David Kalnischkies ]
  * do not error if auto-detect-proxy cmd has no output (Closes: 827713)
  * source: if download is skipped, don't try to unpack
  * ensure filesize of deb is included in the hashes list

  [ Dominic Benson ]
  * Reinstate caching of file hashes in apt-ftparchive (Closes: #806924)

 -- Julian Andres Klode <jak@debian.org>  Wed, 22 Jun 2016 14:54:48 +0200

apt (1.2.13) unstable; urgency=medium

  [ David Kalnischkies ]
  * fail instead of segfault on unreadable config files (Closes: 824503)
  * prevent C++ locale number formatting in text APIs (Closes: #825396)
  * apt-key: change to / before find to satisfy its CWD needs.
    Thanks to Samuel Thibault for 'finding' the culprit! (Closes: 826043)
  * do not hang on piped input in PipedFileFdPrivate
  * don't leak an FD in lz4 (de)compression
  * don't leak FD in AutoProxyDetect command return parsing

  [ Julian Andres Klode ]
  * Provide complete apt bash completion.
    Thanks to Elias Fröhner and Svyatoslav Gryaznov for the initial work
    (LP: #1573547)

  [ Zhou Mo ]
  * zh_TW.po: remove several fuzzy tags after review

  [ Yuri Kozlov ]
  * Russian program translation update (Closes: 824702)

  [ Takuma Yamada ]
  * Japanese program translation update (Closes: 826291)

 -- Julian Andres Klode <jak@debian.org>  Sat, 11 Jun 2016 17:28:25 +0200

## apt 1.2.17

=== debian/changelog ===
apt (1.2.17) xenial; urgency=medium

  [ David Kalnischkies ]
  * apt-key: warn instead of fail on unreadable keyrings (LP: #1642386)
  * show apt-key warnings in apt update (Closes: 834973)

  [ Julian Andres Klode ]
  * test-releasefile-verification: installaptold: Clean up before run

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 23 Nov 2016 20:09:27 +0100

apt (1.2.16) xenial; urgency=medium

  [ David Kalnischkies ]
  * avoid changing the global LC_TIME for Release writing
  * use de-localed std::put_time instead rolling our own
  * accept only the expected UTC timezones in date parsing (Closes: 819697)
  * avoid std::get_time usage to sidestep libstdc++6 bug (LP: #1593583)
  * imbue datetime parsing with C.UTF-8 locale (Closes: 828011)
  * prevent C++ locale number formatting in text APIs (try 2) (Closes: 832044)
  * prevent C++ locale number formatting in text APIs (try 3) (LP: #1611010)
    (LP: #1592817)
  * imbue .diff/Index parsing with C.UTF-8 as well

  [ Julian Andres Klode ]
  * Use C locale instead of C.UTF-8 for protocol strings
  * Add shippable.yml for CI on Shippable
  * Revert "if the FileFd failed already following calls should fail, too"
    (LP: #1641905)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 15 Nov 2016 11:29:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
  Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.7
